---
apiVersion: operators.coreos.com/v1
kind: Operator
metadata:
  creationTimestamp: "2025-10-27T12:05:57Z"
  generation: 1
  managedFields:
  - apiVersion: operators.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec: {}
    manager: olm
    operation: Update
    time: "2025-10-27T12:05:57Z"
  - apiVersion: operators.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        .: {}
        f:components:
          .: {}
          f:labelSelector: {}
          f:refs: {}
    manager: olm
    operation: Update
    subresource: status
    time: "2025-10-29T13:03:18Z"
  name: nfd.openshift-nfd
  resourceVersion: "2208867"
  uid: d87f46b0-9ace-443d-8ad1-939a07390790
spec: {}
status:
  components:
    labelSelector:
      matchExpressions:
      - key: operators.coreos.com/nfd.openshift-nfd
        operator: Exists
    refs:
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRole
      name: nfd.4.19.0-202510142112-av2PrvIuhxupMVagzsBProFsPDy4GGBk2xncXJ
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRoleBinding
      name: nfd.4.19.0-202510142112-av2PrvIuhxupMVagzsBProFsPDy4GGBk2xncXJ
    - apiVersion: operators.coreos.com/v1alpha1
      conditions:
      - lastTransitionTime: "2025-10-27T12:18:11Z"
        lastUpdateTime: "2025-10-27T12:18:11Z"
        message: install strategy completed with no errors
        reason: InstallSucceeded
        status: "True"
        type: Succeeded
      kind: ClusterServiceVersion
      name: nfd.4.19.0-202510142112
      namespace: openshift-nfd
    - apiVersion: v1
      kind: ConfigMap
      name: nfd-manager-config
      namespace: openshift-nfd
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:06:17Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:06:17Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: nodefeaturediscoveries.nfd.openshift.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:06:16Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:06:16Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: nodefeaturegroups.nfd.k8s-sigs.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:06:16Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:06:16Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: nodefeaturerules.nfd.k8s-sigs.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:06:16Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:06:16Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: nodefeaturerules.nfd.openshift.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:06:16Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:06:16Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: nodefeatures.nfd.k8s-sigs.io
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:06:16Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:06:16Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: nodefeatures.nfd.openshift.io
    - apiVersion: apps/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:06:19Z"
        lastUpdateTime: "2025-10-27T12:06:40Z"
        message: ReplicaSet "nfd-controller-manager-5585457f49" has successfully progressed.
        reason: NewReplicaSetAvailable
        status: "True"
        type: Progressing
      - lastTransitionTime: "2025-10-27T12:18:11Z"
        lastUpdateTime: "2025-10-27T12:18:11Z"
        message: Deployment has minimum availability.
        reason: MinimumReplicasAvailable
        status: "True"
        type: Available
      kind: Deployment
      name: nfd-controller-manager
      namespace: openshift-nfd
    - apiVersion: operators.coreos.com/v1alpha1
      conditions:
      - lastTransitionTime: "2025-10-27T12:06:19Z"
        lastUpdateTime: "2025-10-27T12:06:19Z"
        status: "True"
        type: Installed
      kind: InstallPlan
      name: install-z9t5r
      namespace: openshift-nfd
    - apiVersion: operators.coreos.com/v2
      kind: OperatorCondition
      name: nfd.4.19.0-202510142112
      namespace: openshift-nfd
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: Role
      name: nfd.4.19.0-202510142112--8nCQ2Wxv9MfXUA0uIP6g1X1iTaePVCinDDBkad
      namespace: openshift-nfd
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: RoleBinding
      name: nfd.4.19.0-202510142112--8nCQ2Wxv9MfXUA0uIP6g1X1iTaePVCinDDBkad
      namespace: openshift-nfd
    - apiVersion: v1
      kind: Service
      name: nfd-controller-manager-metrics-service
      namespace: openshift-nfd
    - apiVersion: v1
      kind: ServiceAccount
      name: nfd-manager
      namespace: openshift-nfd
    - apiVersion: operators.coreos.com/v1alpha1
      conditions:
      - lastTransitionTime: "2025-10-29T13:03:17Z"
        message: targeted catalogsource openshift-marketplace/redhat-operators missing
        reason: UnhealthyCatalogSourceFound
        status: "True"
        type: CatalogSourcesUnhealthy
      - message: 'constraints not satisfiable: no operators found from catalog redhat-operators
          in namespace openshift-marketplace referenced by subscription nfd, subscription
          nfd exists'
        reason: ConstraintsNotSatisfiable
        status: "True"
        type: ResolutionFailed
      kind: Subscription
      name: nfd
      namespace: openshift-nfd
